コンテンツにスキップ
ログイン サインアップ

Google Scholar プロフィールAPI

名前でGoogle Scholarの著者プロフィールを検索します。engine=google_scholar_profiles を設定し、mauthors に名前を渡すことで、一致する著者のID、所属機関、被引用数を含むリストを取得できます。

GET https://serp.shifter.io/v1?engine=google_scholar_profiles&api_key=YOUR_API_KEY
ParameterTypeRequiredDescription
api_keystringyesあなたのSERP APIキー
enginestringyesgoogle_scholar_profiles を指定する必要があります
mauthorsstringyes検索対象の著者名
hlstringnoインターフェース言語コード
after_authorstringno次ページのトークン。before_author の値の後に続く必要があります
before_authorstringno前ページのトークン
Terminal window
curl "https://serp.shifter.io/v1?engine=google_scholar_profiles&api_key=YOUR_API_KEY&mauthors=jake"
{
"search_parameters": {
"engine": "google_scholar_profiles",
"mauthors": "jake"
},
"profiles": [
{
"name": "Jake Smith",
"author_id": "LSsXyncAAAAJ",
"affiliations": "Professor of Computer Science, MIT",
"email": "Verified email at mit.edu",
"cited_by": 18200,
"interests": [ { "title": "Artificial Intelligence" } ],
"thumbnail": "https://scholar.google.com/citations?view_op=view_photo&user=..."
}
],
"pagination": {
"next_page_token": "...",
"next": "https://serp.shifter.io/v1?engine=google_scholar_profiles&mauthors=jake&after_author=..."
}
}